
//---------------------------------------------------------------------------

// This software is Copyright (c) 2011 Embarcadero Technologies, Inc. 
// You may only use this software if you are an authorized licensee
// of Delphi, C++Builder or RAD Studio (Embarcadero Products).
// This software is considered a Redistributable as defined under
// the software license agreement that comes with the Embarcadero Products
// and is subject to that software license agreement.

//---------------------------------------------------------------------------
unit DataModuleMS;

interface

uses
  System.SysUtils, System.Classes, Data.DB, Datasnap.DBClient, Data.DBXMSSQL, Data.FMTBcd, Data.SqlExpr;

type
  TFactsDataModule = class(TDataModule)
    qryRecord: TSQLQuery;
    qryRecordSPECIESNO: TIntegerField;
    qryRecordCATEGORY: TWideStringField;
    qryRecordCOMMON_NAME: TWideStringField;
    qryRecordSPECIESNAME: TWideStringField;
    qryRecordLENGTHCM: TFloatField;
    qryRecordLENGTH_IN: TFloatField;
    qryRecordNOTES: TWideMemoField;
    qryRecordGRAPHIC: TBlobField;
    qryKeys: TSQLQuery;
    qryKeysSPECIES_NO: TIntegerField;
    procedure qryKeysAfterClose(DataSet: TDataSet);
    procedure qryKeysBeforeOpen(DataSet: TDataSet);
    procedure qryRecordAfterClose(DataSet: TDataSet);
    procedure qryRecordBeforeOpen(DataSet: TDataSet);
  private
  public
  end;

var
  FactsDataModule: TFactsDataModule;

implementation

{$R *.dfm}

uses DDatabase, Winapi.ActiveX, System.IniFiles, System.IOUtils;

procedure TFactsDataModule.qryKeysAfterClose(DataSet: TDataSet);
begin
  qryKeys.SQLConnection := nil;
end;

procedure TFactsDataModule.qryKeysBeforeOpen(DataSet: TDataSet);
begin
  qryKeys.SQLConnection := TdmDatabase.Instance.SQLConnection;
end;

procedure TFactsDataModule.qryRecordAfterClose(DataSet: TDataSet);
begin
  qryRecord.SQLConnection := nil;
end;

procedure TFactsDataModule.qryRecordBeforeOpen(DataSet: TDataSet);
begin
  qryRecord.SQLConnection := TdmDatabase.Instance.SQLConnection;
end;

end.
